## lincity 1.03

=== Makefile ===
#  Makefile for LinCity   (c)  I J Peters 1995,1996.

#       This is where the binaries for LinCity will be placed.
LC_BINDIR = /usr/local/bin
#          for solaris you might choose...
#          LC_BINDIR = /opt/lcity/bin

#       This is where the library/data files will be placed.
LC_LIBDIR = /usr/local/lib/lincity
#          for solaris you might choose...
#          LC_LIBDIR = /opt/lcity/lib
export LC_LIBDIR

#       This is where the manpage will be placed.
LC_MANDIR = /usr/local/man/man6
LC_MANSUF = 6
#          for solaris you might choose...
#          LC_LIBDIR = /opt/lcity/man/man6


# EXTRA_OPTS =   -fomit-frame-pointer -fstrength-reduce -ffast-math
EXTRA_OPTS = -fstrength-reduce -ffast-math
WARN_OPTS  = -Wall -Wpointer-arith -Wcast-align -Winline
# DEBUG_OPTS =-g
CFLAGS = -O2 $(DEBUG_OPTS) $(EXTRA_OPTS) $(WARN_OPTS) -DLIBDIR=\"$(LC_LIBDIR)\"
# -fno-strength-reduce
# PROFF = -pg
# PROFL = -lc
# PROFD = -DCS_PROFILE

LC_XFLAGS = $(CFLAGS) -DLC_X11 
LC_XLIBS = -lXExExt -lXext -lX11

XOBJS = xmain.o xmouse.o xscreen.o xmps.o xtypeinit.o xengine.o\
 xtransport.o xmarket.o xhelp.o lcx11.o

#SOLARIS_XHOME = /usr/openwin

#  /usr/X11R6/lib/X11/config/ is where Imake.tmpl lives, change the following
# line if yours is somewhere else.
LC_IMAKE_ARGS = -DUseInstalled -I/usr/X11R6/lib/X11/config

dummy:
	@echo
	@echo '            LinCity  ----------------------  LinCity'
	@echo
	@echo '      'Please use one of the following commands:
#	@echo
	@echo make install '    ' installs the binaries and lib/data files
	@echo '     ' If you do not have the binaries, you will have
	@echo '     ' to use one of the following commands first.
	@echo make lincity '    ' compiles the svga version for Linux
	@echo make xlincity '   ' compiles the X version for Linux
#	@echo make hpux '       ' compiles the X version for HP-UX 9.05
#	@echo make solaris '    ' compiles the X version for Solaris
	@echo make '[hpux|solaris|freebsd|irix]' for those platforms.
	@echo '    ' picedit is used to draw the icons, it is not part of the game.
	@echo make picedit '    ' compiles and installs SVGA picedit
	@echo make xpicedit '   ' compiles and installs xpicedit
	@echo
	@echo make clean '      ' deletes the \'*.o\' files and binaries
	@echo make uninstall '  ' uninstalls everything
	@echo
	@echo The current install paths are:
#	@echo
	@echo '          ' Binaries  '    ' $(LC_BINDIR)
	@echo '         ' Libs/Data  '    ' $(LC_LIBDIR)
	@echo
	@echo To change them edit the Makefile and change LC_BINDIR and LC_LIBDIR.
#	@echo LC_BINDIR and LC_LIBDIR.
	@echo

all : lincity xlincity
	@echo All done.

lc : lincity install
	@echo Installed

lincity : main.o mouse.o screen.o mps.o typeinit.o engine.o transport.o\
		market.o help.o
	g++ $(PROFL) main.o mouse.o screen.o mps.o typeinit.o engine.o\
                transport.o market.o help.o -lm -lvgagl -lvga\
                -o lincity $(PROFF)
	chmod +s lincity

# I only call the Makefile generated by imake for linking
# all the objects and libraries. 
xlincity : $(XOBJS)
	imake -s XMakefile $(LC_IMAKE_ARGS)
	make -f XMakefile

solaris :
	make -f sunosMakefile
	@echo
	@echo xlincity compiled, now make install.

hpux : 
	make -f hpuxMakefile
	@echo
	@echo xlincity compiled, now make install.

freebsd : xlincity
	@echo
	@echo xlincity compiled, now make install.

irix :
	make -f irixMakefile
	@echo
	@echo xlincity compiled, now make install.

install :
	-cp lincity $(LC_BINDIR)
	-chmod +s $(LC_BINDIR)/lincity
	-cp xlincity $(LC_BINDIR)
	-mkdir -p $(LC_LIBDIR)
	cp -r icons $(LC_LIBDIR)
	cp -r help $(LC_LIBDIR)
	cp -r messages $(LC_LIBDIR)
	cp -r opening $(LC_LIBDIR)
	cp open.tga.gz $(LC_LIBDIR)/opening
	cp colour.pal $(LC_LIBDIR)
	-mkdir -p $(LC_MANDIR)
	cp lincity.man $(LC_MANDIR)/lincity.$(LC_MANSUF)

uninstall:
	-rm $(LC_BINDIR)/lincity
	-rm $(LC_BINDIR)/xlincity
	-rm $(LC_BINDIR)/picedit
	-rm $(LC_BINDIR)/xpicedit
	-rm -r $(LC_LIBDIR)
	-rm $(LC_MANDIR)/lincity.$(LC_MANSUF)

main.o : main.cxx main.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c main.cxx -o main.o $(CFLAGS)

xmain.o : main.cxx main.h lin-city.h lctypes.h lcx11.h
	gcc $(PROFF) $(PROFD) -c main.cxx -o xmain.o $(LC_XFLAGS)

mouse.o : mouse.cxx mouse.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c mouse.cxx -o mouse.o $(CFLAGS)

xmouse.o : mouse.cxx mouse.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c mouse.cxx -o xmouse.o $(LC_XFLAGS)

screen.o : screen.cxx screen.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c screen.cxx -o screen.o $(CFLAGS)

xscreen.o : screen.cxx screen.h lin-city.h lctypes.h lcx11.h
	gcc $(PROFF) $(PROFD) -c screen.cxx -o xscreen.o $(LC_XFLAGS)

mps.o : mps.cxx mps.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c mps.cxx -o mps.o $(CFLAGS)

xmps.o : mps.cxx mps.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c mps.cxx -o xmps.o $(LC_XFLAGS)

typeinit.o : typeinit.cxx typeinit.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c typeinit.cxx -o typeinit.o $(CFLAGS)

xtypeinit.o : typeinit.cxx typeinit.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c typeinit.cxx -o xtypeinit.o $(LC_XFLAGS)

engine.o : engine.cxx engine.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c engine.cxx -o engine.o $(CFLAGS)

xengine.o : engine.cxx engine.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c engine.cxx -o xengine.o $(LC_XFLAGS)

transport.o : transport.cxx transport.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c transport.cxx -o transport.o $(CFLAGS)
 
xtransport.o : transport.cxx transport.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c transport.cxx -o xtransport.o $(LC_XFLAGS)

market.o    : market.cxx market.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c market.cxx -o market.o $(CFLAGS)

xmarket.o    : market.cxx market.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c market.cxx -o xmarket.o $(LC_XFLAGS)

help.o      : help.cxx help.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c help.cxx -o help.o $(CFLAGS)

xhelp.o      : help.cxx help.h lin-city.h lctypes.h
	gcc $(PROFF) $(PROFD) -c help.cxx -o xhelp.o $(LC_XFLAGS)

lcx11.o    : lcx11.cxx lcx11.h lin-city.h lctypes.h
	gcc -c lcx11.cxx -o lcx11.o $(LC_XFLAGS)


clean :
	-rm lincity
	-rm xlincity
	-rm picedit
	-rm xpicedit
	-rm *.o
	-rm *.s
	-rm XMakefile
	-rm XPMakefile

distclean:
	-rm help/*~
	-rm help/*.bak
	-rm opening/*~
	-rm messages/*~
	-rm messages/*.bak
	-rm picedit
	-rm *.bak
	-rm *~
	-rm XMakefile
	-rm XPMakefile

picedit : picedit.cxx 
	gcc picedit.cxx -o picedit -lvgagl -lvga $(CFLAGS)
	cp picedit $(LC_BINDIR)
	chmod +s $(LC_BINDIR)/picedit
	-mkdir -p $(LC_LIBDIR)/opening
	cp opening/alt-8x8 $(LC_LIBDIR)/opening
	cp colour.pal $(LC_LIBDIR)

# I only call the Makefile generated by imake for linking.
xpicedit : picedit.cxx picedit.h
	gcc -c picedit.cxx -o xpicedit.o $(CFLAGS) -DP_X
	imake -f XPImakefile -s XPMakefile $(LC_IMAKE_ARGS)
	make -f XPMakefile
	cp xpicedit /usr/local/bin
	-mkdir -p $(LC_LIBDIR)/opening
	cp opening/alt-8x8 $(LC_LIBDIR)/opening
	cp colour.pal $(LC_LIBDIR)

# Some extra useful ones for me.

transport-asm :
	gcc -S transport.cxx $(CFLAGS)

#    --------  End of Makefile for LinCity  -----------

## lincity 1.09

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 LC_LIBDIR = /usr/local/lib/lincity
 #          for solaris you might choose...
 #          LC_LIBDIR = /opt/lcity/lib
-export LC_LIBDIR
+
+# export LC_LIBDIR
 
 #       This is where the manpage will be placed.
 LC_MANDIR = /usr/local/man/man6
@@ -53,7 +54,7 @@
 	@echo make xlincity '   ' compiles the X version for Linux
 #	@echo make hpux '       ' compiles the X version for HP-UX 9.05
 #	@echo make solaris '    ' compiles the X version for Solaris
-	@echo make '[hpux|solaris|freebsd|irix]' for those platforms.
+	@echo make '[hpux|solaris|freebsd|irix|sco]' for those platforms.
 	@echo '    ' picedit is used to draw the icons, it is not part of the game.
 	@echo make picedit '    ' compiles and installs SVGA picedit
 	@echo make xpicedit '   ' compiles and installs xpicedit
@@ -86,16 +87,16 @@
 # I only call the Makefile generated by imake for linking
 # all the objects and libraries. 
 xlincity : $(XOBJS)
-	imake -s XMakefile $(LC_IMAKE_ARGS)
+	imake -s XMakefile $(LC_IMAKE_ARGS) LC_LIBDIR=$(LC_LIBDIR)
 	make -f XMakefile
 
 solaris :
-	make -f sunosMakefile
+	make -f sunosMakefile LC_LIBDIR=$(LC_LIBDIR)
 	@echo
 	@echo xlincity compiled, now make install.
 
 hpux : 
-	make -f hpuxMakefile
+	make -f hpuxMakefile LC_LIBDIR=$(LC_LIBDIR)
 	@echo
 	@echo xlincity compiled, now make install.
 
@@ -104,23 +105,43 @@
 	@echo xlincity compiled, now make install.
 
 irix :
-	make -f irixMakefile
+	make -f irixMakefile LC_LIBDIR=$(LC_LIBDIR)
+	@echo
+	@echo xlincity compiled, now make install.
+
+sco :
+	make -f scoMakefile LC_LIBDIR=$(LC_LIBDIR)
 	@echo
 	@echo xlincity compiled, now make install.
 
 install :
+# a version(?) of mkdir for SCO OpenServer fails if the dir already
+# exists, even with the -p flag, hence the '-'. We should still
+# catch a failure with the chmod hopefully.
+	-mkdir -p $(LC_BINDIR)
+	chmod 755 $(LC_BINDIR)
 	-cp lincity $(LC_BINDIR)
 	-chmod +s $(LC_BINDIR)/lincity
 	-cp xlincity $(LC_BINDIR)
+	-chmod 755 $(LC_BINDIR)/xlincity
 	-mkdir -p $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)
 	cp -r icons $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)/icons
 	cp -r help $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)/help
 	cp -r messages $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)/messages
 	cp -r opening $(LC_LIBDIR)
+	chmod 755 $(LC_LIBDIR)/opening
 	cp open.tga.gz $(LC_LIBDIR)/opening
 	cp colour.pal $(LC_LIBDIR)
+	chmod -R o+r $(LC_LIBDIR)
 	-mkdir -p $(LC_MANDIR)
 	cp lincity.man $(LC_MANDIR)/lincity.$(LC_MANSUF)
+	chmod o+r $(LC_MANDIR)/lincity.$(LC_MANSUF)
+	chmod o+rx `dirname $(LC_BINDIR)`
+	chmod o+rx `dirname $(LC_MANDIR)`
 
 uninstall:
 	-rm $(LC_BINDIR)/lincity

## lincity 1.10

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 
 # EXTRA_OPTS =   -fomit-frame-pointer -fstrength-reduce -ffast-math
-EXTRA_OPTS = -fstrength-reduce -ffast-math
+#EXTRA_OPTS = -fstrength-reduce -ffast-math
 WARN_OPTS  = -Wall -Wpointer-arith -Wcast-align -Winline
 # DEBUG_OPTS =-g
 CFLAGS = -O2 $(DEBUG_OPTS) $(EXTRA_OPTS) $(WARN_OPTS) -DLIBDIR=\"$(LC_LIBDIR)\"

## lincity 1.13.1

=== old.Makefiles/Makefile ===
#  Makefile for LinCity   (c)  I J Peters 1995,1996.

#       This is where the binaries for LinCity will be placed.
LC_BINDIR = /usr/local/bin
#          for solaris you might choose...
#          LC_BINDIR = /opt/lcity/bin

#       This is where the library/data files will be placed.
LC_LIBDIR = /usr/local/lib/lincity
#          for solaris you might choose...
#          LC_LIBDIR = /opt/lcity/lib

# export LC_LIBDIR

#       This is where the manpage will be placed.
LC_MANDIR = /usr/local/man/man6
LC_MANSUF = 6
#          for solaris you might choose...
#          LC_LIBDIR = /opt/lcity/man/man6


# CC = egcs
CC = gcc

# EXTRA_OPTS = -fomit-frame-pointer -fstrength-reduce -ffast-math
# EXTRA_OPTS = -fstrength-reduce -ffast-math
WARN_OPTS  = -Wall -Wpointer-arith -Wcast-align -Winline
# DEBUG_OPTS =-g
CFLAGS = -O2 $(DEBUG_OPTS) $(EXTRA_OPTS) $(WARN_OPTS) -DLIBDIR=\"$(LC_LIBDIR)\"
# -fno-strength-reduce
# PROFF = -pg
# PROFL = -lc
# PROFD = -DCS_PROFILE

LC_XFLAGS = $(CFLAGS) -DLC_X11 
LC_XLIBS = -lXExExt -lXext -lX11

XOBJS = xmain.o xmouse.o xscreen.o xmps.o xtypeinit.o xengine.o\
 xtransport.o xmarket.o xhelp.o lcx11.o

#SOLARIS_XHOME = /usr/openwin

#  /usr/X11R6/lib/X11/config/ is where Imake.tmpl lives, change the following
# line if yours is somewhere else.
LC_IMAKE_ARGS = -DUseInstalled -I/usr/X11R6/lib/X11/config

dummy:
	@echo
	@echo '            LinCity  ----------------------  LinCity'
	@echo
	@echo '      'Please use one of the following commands:
#	@echo
	@echo make install '    ' installs the binaries and lib/data files
	@echo '     ' If you do not have the binaries, you will have
	@echo '     ' to use one of the following commands first.
	@echo make lincity '    ' compiles the svga version for Linux
	@echo make xlincity '   ' compiles the X version for Linux
#	@echo make hpux '       ' compiles the X version for HP-UX 9.05
#	@echo make solaris '    ' compiles the X version for Solaris
	@echo make '[hpux|solaris|freebsd|irix|sco]' for those platforms.
	@echo '    ' picedit is used to draw the icons, it is not part of the game.
	@echo make picedit '    ' compiles and installs SVGA picedit
	@echo make xpicedit '   ' compiles and installs xpicedit
	@echo
	@echo make clean '      ' deletes the \'*.o\' files and binaries
	@echo make uninstall '  ' uninstalls everything
	@echo
	@echo The current install paths are:
#	@echo
	@echo '          ' Binaries  '    ' $(LC_BINDIR)
	@echo '         ' Libs/Data  '    ' $(LC_LIBDIR)
	@echo
	@echo To change them edit the Makefile and change LC_BINDIR and LC_LIBDIR.
#	@echo LC_BINDIR and LC_LIBDIR.
	@echo

all : lincity xlincity
	@echo All done.

lc : lincity install
	@echo Installed

lincity : main.o mouse.o screen.o mps.o typeinit.o engine.o transport.o\
		market.o help.o
	g++ $(PROFL) main.o mouse.o screen.o mps.o typeinit.o engine.o\
                transport.o market.o help.o -lm -lvgagl -lvga\
                -o lincity $(PROFF)
	chmod +s lincity

# I only call the Makefile generated by imake for linking
# all the objects and libraries. 
xlincity : $(XOBJS)
	imake -s XMakefile $(LC_IMAKE_ARGS) LC_LIBDIR=$(LC_LIBDIR)
	make -f XMakefile

solaris :
	make -f sunosMakefile LC_LIBDIR=$(LC_LIBDIR)
	@echo
	@echo xlincity compiled, now make install.

hpux : 
	make -f hpuxMakefile LC_LIBDIR=$(LC_LIBDIR)
	@echo
	@echo xlincity compiled, now make install.

freebsd : xlincity
	@echo
	@echo xlincity compiled, now make install.

irix :
	make -f irixMakefile LC_LIBDIR=$(LC_LIBDIR)
	@echo
	@echo xlincity compiled, now make install.

sco :
	make -f scoMakefile LC_LIBDIR=$(LC_LIBDIR)
	@echo
	@echo xlincity compiled, now make install.

install :
# a version(?) of mkdir for SCO OpenServer fails if the dir already
# exists, even with the -p flag, hence the '-'. We should still
# catch a failure with the chmod hopefully.
	-mkdir -p $(LC_BINDIR)
	chmod 755 $(LC_BINDIR)
	-cp lincity $(LC_BINDIR)
	-chmod +s $(LC_BINDIR)/lincity
	-cp xlincity $(LC_BINDIR)
	-chmod 755 $(LC_BINDIR)/xlincity
	-mkdir -p $(LC_LIBDIR)
	chmod 755 $(LC_LIBDIR)
	cp -r icons $(LC_LIBDIR)
	chmod 755 $(LC_LIBDIR)/icons
	cp -r help $(LC_LIBDIR)
	chmod 755 $(LC_LIBDIR)/help
	cp -r messages $(LC_LIBDIR)
	chmod 755 $(LC_LIBDIR)/messages
	cp -r opening $(LC_LIBDIR)
	chmod 755 $(LC_LIBDIR)/opening
	cp colour.pal $(LC_LIBDIR)
	chmod -R o+r $(LC_LIBDIR)
	-mkdir -p $(LC_MANDIR)
	cp lincity.man $(LC_MANDIR)/lincity.$(LC_MANSUF)
	chmod o+r $(LC_MANDIR)/lincity.$(LC_MANSUF)
	chmod o+rx `dirname $(LC_BINDIR)`
	chmod o+rx `dirname $(LC_MANDIR)`

uninstall:
	-rm $(LC_BINDIR)/lincity
	-rm $(LC_BINDIR)/xlincity
	-rm $(LC_BINDIR)/picedit
	-rm $(LC_BINDIR)/xpicedit
	-rm -r $(LC_LIBDIR)
	-rm $(LC_MANDIR)/lincity.$(LC_MANSUF)

main.o : main.cxx main.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c main.cxx -o main.o $(CFLAGS)

xmain.o : main.cxx main.h lin-city.h lctypes.h lcx11.h
	$(CC) $(PROFF) $(PROFD) -c main.cxx -o xmain.o $(LC_XFLAGS)

mouse.o : mouse.cxx mouse.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c mouse.cxx -o mouse.o $(CFLAGS)

xmouse.o : mouse.cxx mouse.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c mouse.cxx -o xmouse.o $(LC_XFLAGS)

screen.o : screen.cxx screen.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c screen.cxx -o screen.o $(CFLAGS)

xscreen.o : screen.cxx screen.h lin-city.h lctypes.h lcx11.h
	$(CC) $(PROFF) $(PROFD) -c screen.cxx -o xscreen.o $(LC_XFLAGS)

mps.o : mps.cxx mps.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c mps.cxx -o mps.o $(CFLAGS)

xmps.o : mps.cxx mps.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c mps.cxx -o xmps.o $(LC_XFLAGS)

typeinit.o : typeinit.cxx typeinit.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c typeinit.cxx -o typeinit.o $(CFLAGS)

xtypeinit.o : typeinit.cxx typeinit.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c typeinit.cxx -o xtypeinit.o $(LC_XFLAGS)

engine.o : engine.cxx engine.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c engine.cxx -o engine.o $(CFLAGS)

xengine.o : engine.cxx engine.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c engine.cxx -o xengine.o $(LC_XFLAGS)

transport.o : transport.cxx transport.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c transport.cxx -o transport.o $(CFLAGS)
 
xtransport.o : transport.cxx transport.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c transport.cxx -o xtransport.o $(LC_XFLAGS)

market.o    : market.cxx market.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c market.cxx -o market.o $(CFLAGS)

xmarket.o    : market.cxx market.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c market.cxx -o xmarket.o $(LC_XFLAGS)

help.o      : help.cxx help.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c help.cxx -o help.o $(CFLAGS)

xhelp.o      : help.cxx help.h lin-city.h lctypes.h
	$(CC) $(PROFF) $(PROFD) -c help.cxx -o xhelp.o $(LC_XFLAGS)

lcx11.o    : lcx11.cxx lcx11.h lin-city.h lctypes.h
	$(CC) -c lcx11.cxx -o lcx11.o $(LC_XFLAGS)


clean :
	-rm lincity
	-rm xlincity
	-rm picedit
	-rm xpicedit
	-rm *.o
	-rm *.s
	-rm XMakefile
	-rm XPMakefile

distclean: clean
	-rm help/*~
	-rm help/*.bak
	-rm opening/*~
	-rm notes/*~
	-rm messages/*~
	-rm messages/*.bak
	-rm picedit
	-rm *.bak
	-rm *~
	-rm \#*\#
	-rm XMakefile
	-rm XPMakefile
	-rm -rf Debug
	-rm -rf SAVED_GAMES

picedit : picedit.cxx 
	$(CC) picedit.cxx -o picedit -lvgagl -lvga $(CFLAGS)
	cp picedit $(LC_BINDIR)
	chmod +s $(LC_BINDIR)/picedit
	-mkdir -p $(LC_LIBDIR)/opening
	cp opening/alt-8x8 $(LC_LIBDIR)/opening
	cp colour.pal $(LC_LIBDIR)

# I only call the Makefile generated by imake for linking.
xpicedit : picedit.cxx picedit.h
	$(CC) -c picedit.cxx -o xpicedit.o $(CFLAGS) -DP_X
	imake -f XPImakefile -s XPMakefile $(LC_IMAKE_ARGS)
	make -f XPMakefile
	cp xpicedit /usr/local/bin
	-mkdir -p $(LC_LIBDIR)/opening
	cp opening/alt-8x8 $(LC_LIBDIR)/opening
	cp colour.pal $(LC_LIBDIR)

# Some extra useful ones for me.

transport-asm :
	$(CC) -S transport.cxx $(CFLAGS)

#    --------  End of Makefile for LinCity  -----------

=== debian/changelog ===
lincity (1.13.1-17) unstable; urgency=medium

  * Fix FTBFS due to function pointer use with GCC 15 (Closes: #1097300)
  * Put Debian packaging to git.
  * Standards-Version 4.7.2 (no changes necessary)
  * Replace debian/compat file with a dependency on debhelper-compat.

 -- Kari Pahula <kaol@debian.org>  Sun, 07 Sep 2025 11:49:14 +0300

lincity (1.13.1-16) unstable; urgency=medium

  * Add HandleError declaration to lin-city.h to avoid implicit definition
    error from the -Werror=implicit-function-declaration build
    flag. (Closes: #1066295)
  * Standards-Version 4.6.2 (no changes necessary)

 -- Kari Pahula <kaol@debian.org>  Sun, 17 Mar 2024 11:10:25 +0200

lincity (1.13.1-15) unstable; urgency=medium

  * Build using system's gettext library instead of the included 0.11.5
    release and update automake macro for that.  (Closes: #978343)
  * Standards-Version 4.5.1 (no changes necessary)
  * Update /usr/share/doc/lincity/Acknowledgements encoding to UTF-8.

 -- Kari Pahula <kaol@debian.org>  Mon, 28 Dec 2020 22:48:57 +0200

lincity (1.13.1-14) unstable; urgency=medium

  * Standards-Version 4.5.0 and debhelper compat 13
    - Set priority as optional
    - Switch debian/rules to dh
  * Remove duplicate global variable definitions across different files to
    fix FTBFS with GCC 10 (Closes: #957489)
  * Set maximum map window size to avoid crashing with a large window

 -- Kari Pahula <kaol@debian.org>  Sat, 02 May 2020 10:36:53 +0300

lincity (1.13.1-13) unstable; urgency=medium

  * Standards-Version to 3.9.8, remove menu entry.
  * Fix implicit declarations to avoid FTBFS (Thanks to
    paulliu@debian.org) (Closes: #823432)
  * Add --bindir=/usr/games to configure parameters.

 -- Kari Pahula <kaol@debian.org>  Sun, 22 May 2016 09:29:18 +0300

lincity (1.13.1-12) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes necessary).
  * Fix FTBFS with clang (Thanks to Arthur Marble) (Closes: #757859)
  * Set Version in lincity.desktop to 1.1 and update other fields (Thanks
    to Javier Cantero) (Closes: #778692)
  * Remove included gettext m4 files before configure to use system's own
    and refresh config.rpath and po/Makefile.in.in from gettext.  Add
    gettext as build dependency.  (Closes: #701658)
  * Add extern inline declarations to mouse.c to satisfy C99 inline
    semantics.  (Closes: #777982)

 -- Kari Pahula <kaol@debian.org>  Tue, 12 May 2015 22:10:19 +0300

lincity (1.13.1-11) unstable; urgency=low

  * Cope with (despite hints) resized splash screen.  (Closes: #701927)

 -- Kari Pahula <kaol@debian.org>  Sat, 02 Mar 2013 11:11:56 +0200

lincity (1.13.1-10) unstable; urgency=low

  * Install .desktop file to where it belongs.  (Closes: #668191)

 -- Kari Pahula <kaol@debian.org>  Fri, 04 May 2012 22:37:54 +0300

lincity (1.13.1-9) unstable; urgency=low

  * Checked that lincity is API compatible with libpng15 and switched
    build dependency to libpng-dev.  (Closes: #662419)
  * Standards-Version 3.9.3 (no changes needed).
  * Use dh-autoreconf.

 -- Kari Pahula <kaol@debian.org>  Mon, 05 Mar 2012 19:04:55 +0200

lincity (1.13.1-8) unstable; urgency=low

  * New maintainer (Closes: #658573)
  * Use cdbs and autoconf to regenerate configure script at build time.
  * Standards-Version 3.9.2, dpkg-source format 3.0 (quilt) and debhelper
    compat 9.
  * Remove references to lincity-x and lincity-svga from debian/control.
  * Priority changed to extra.
  * Patch windmill segfault bug (Closes: #374901)
  * Patch coal reserve initialization (Closes: #486597)
  * Patch splash screen scroller delay to be 64 bit safe.

 -- Kari Pahula <kaol@debian.org>  Sun, 05 Feb 2012 00:23:58 +0200

lincity (1.13.1-7.2) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/changelog
    - Remove obsolete Emacs local variables.
  * debian/control
    - (Build-Depends): update obsolete xutils to xutils-dev.
      (important; Closes: #575857). Update to debhelper from 4 to 7.1.
    - (Homepage): Move from description to its own field.
    - (Standards-Version): Update ancient 3.7.2 to 3.8.4.
  * debian/lincity.desktop
    - (Encoding): remove obsolete field.
    - (Categories): Correct "*;Strategy" to ";StrategyGame".
  * debian/lincity.install:
    - New file.
  * debian/NEWS
    - Correct layout (W: Lintian). No content changes.
  * debian/rules
    - (binary-arch): Remove obsolete dh_desktop and replace it with
      debian/lincity.install file.
    - Remove EOL whitespaces.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 May 2010 18:51:49 +0300

lincity (1.13.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add build-dep on libxext-dev, fixes FTBFS (Closes: #487000)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2008 22:08:08 +0200

lincity (1.13.1-7) unstable; urgency=low

  * Bump Standards-Version: 3.7.2.
  * debian/compat to 5.
  * Updated debian/watch to version 3.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 17 May 2007 12:23:32 -0300

lincity (1.13.1-6) unstable; urgency=low

  * Added po translation to Brazilian Portuguese.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 16 Mar 2006 18:20:03 -0300

lincity (1.13.1-5) unstable; urgency=low

  * New Mantainer. (closes: #344448)
  * Added lincity.xpm icon, updated menu and desktop file.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Fri, 23 Dec 2005 14:55:50 -0200

lincity (1.13.1-4) unstable; urgency=low

  * Update Swedish translation, thanks again to Daniel Nylander
    (Closes: #338525)

 -- Florian Ernst <florian@debian.org>  Thu, 10 Nov 2005 22:31:08 +0100

lincity (1.13.1-3) unstable; urgency=low

  * Include Swedish translation by Daniel Nylander (Closes: #337878)
  * Include desktop file from Ubuntu, thanks Barry deFreese
  * debian/rules: minor adjustments / improvements
  * Upgrade debhelper compatibility level

 -- Florian Ernst <florian@debian.org>  Mon,  7 Nov 2005 12:34:47 +0100

lincity (1.13.1-2) unstable; urgency=low



=== debian/control ===
Source: lincity
Section: games
Priority: optional
Maintainer: Kari Pahula <kaol@debian.org>
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 13),
 libpng-dev,
 libsm-dev,
 libx11-dev,
 xutils-dev,
 libxext-dev,
 gettext,
Standards-Version: 4.7.2
Homepage: http://lincity.sourceforge.net/

Package: lincity
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: build & maintain a city/country
 You are required to build and maintain a city. You must feed, house,
 provide jobs and goods for your residents. You can build a sustainable
 economy with the help of renewable energy and recycling, or you can go for
 broke and build rockets to escape from a pollution ridden and resource
 starved planet, it's up to you. Due to the finite resources available in any
 one place, this is not a game that you can leave for long periods of time.
 This game is similar to the commercial simulation game with a similar
 name.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	cp /usr/share/gettext/config.rpath $(CURDIR)
	cp /usr/share/gettext/po/Makefile.in.in $(CURDIR)/po
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-gzip --without-svga --disable-rpath --bindir=/usr/games

override_dh_link:
	ln -s /usr/share/locale debian/lincity/usr/share/lincity/locale
	dh_link

=== debian/watch ===
version=3
http://sf.net/lincity/lincity-(.*)\.tar\.gz
